%global		_source_filedigest_algorithm md5

Name:		introspect-mock-chroot
Version:	20230531_0937
Release:	1%{?dist}
Summary:	A dummy package

Group:		NONE
License:	GPLv3+
URL:		http://example.com/

Requires(post): util-linux-core

%if 0%{?rhel} && 0%{?rhel} <= 5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%endif
Source0:	https://raw.githubusercontent.com/praiskup/quick-package/master/README.xz

%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

%description
Description for the %name package that is used for various testing tasks.


%prep


%build


%post
cat >&2 <<EOF
WARNING: This package probably shouldn't be installed on your box!

This package should be installed into the Mock chroot.  The typical
use-case is to

1. build this package in some Copr project (say 'owner/foo'),

2. generate the mock config file with
    copr mock-config owner/foo fedora-rawhide-x86_64 > /tmp/foo.cfg

3. run mock with appropriate parameters:
    mock -r /tmp/foo.cfg --config-opts=bootstrap_chroot_additional_packages=introspect-mock-chroot --shell

Feel free to add additional "Requires:" or "Requires(post):" if you need other
packages installed, or execute any other additional command in the %%post
scriptlet.
EOF

set -x
findmnt >&2 || :


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_pkgdocdir}
xz -d %{SOURCE0} --stdout > $RPM_BUILD_ROOT/%{_pkgdocdir}/README


%clean
rm -rf $RPM_BUILD_ROOT


%files
%dir %{_pkgdocdir}
%doc %{_pkgdocdir}/README

%changelog
* Thu Jun 05 2014 Pavel Raiskup <praiskup@redhat.com> - 0-1
- does nothing!
